Subject: Re: Another look?

From: Junio C Hamano <[email-masked]>
Date: Sun, 04 Jan 2026 13:17:59 +0900

Nico Williams <[email-masked]> writes:

> Sun Microsystems, Inc. used a rebase workflow from 1992 to its end
> ...
> It worked like a charm.

That's good for you.  But I do not necessarily think merge workflows
are bad, and my advice was certainly *not* about avoiding merges.

A linear logical progression of commits that is about a single theme
is much nicer than drunken-man's walk that is also a linear sequence
of commits.  The distinction between them has nothing to do with
merges.

And a history that bundles together a collection of linear logical
progressions with merges of these topics one by one is much easier
than rebasing these unrelated topics into a strictly linear single
strand of pearls, by making it much clear where each of these topics
concludes.